@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@600&display=swap');

html{scroll-behavior: smooth;}

body{
    scroll-behavior: smooth;
}
:root {
    --green: #00E77F;
    --white: #fff;
    --light-white: #aaa;
    --black: #3d3d3d;
    --light-bg: #636bcf;
    --aqua: #333;
}



* {
    font-family: 'Rubik', sans-serif;
    margin: 0;padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    transition: .2s linear;
    text-transform: capitalize;
}

::selection {
    background-color: var(--white);
    color: var(--black);
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 8rem;
}

::-webkit-scrollbar-track{
    background-color: transparent;
}

::-webkit-scrollbar{
    height: .5rem;
    width: 1rem;
}

::-webkit-scrollbar-thumb{
    background-color: var(--green);
    border-radius: 5rem;
}

body {
    background-color: var(--white);
}

section {
     max-width: 80%;
     margin: 0 auto;
     padding: 2.8rem;
}


.heading{
    margin-bottom: 2.5rem;
    text-align: center;
    font-size: 4rem;
    color: var(--light-bg);
    

}

.heading span{
    color: var(--light-bg);
    
}

.header {
    position: fixed;
    top: 0; left: 0; right: 0;
    z-index: 1000;
    background-color: var(--light-bg);
}

.header .flex {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header .flex .logo {
    font-size: 2.5rem;
    color: var(--white);
}


.header .flex .navbar a{
    margin-left: 2rem;
    color: var(--white);
    font-size: 2rem;
}

.header .flex .navbar a:hover{
    color: var(--green);
}

.header .flex .navbar {
    color: var();
}

.header .flex .navbar.active {
    clip-path: polygon(0 0,100% 0, 100% 100%, 0 100%);
}

#menu-btn {
    cursor: pointer;
    color: var(--white);
    font-size: 2.5rem;
    display: none;
}

#menu-btn.fa-times {
    transform: rotate(180deg);

}

.home {
    position: relative;
    height: 80vh;
    overflow: hidden;
}

.background-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.background-image img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
}

.content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: var(--white);
    z-index: 1;
}

.content h3 {
    font-size: 3rem;
    margin-bottom: 1rem;
    line-height: 1;
}

.content h3 span {
    color: var(--light-bg);
}

.btn {
    display: inline-block;
    border-radius: 5rem;
    background-color: var(--light-bg);
    cursor: pointer;
    color: var(--white);
    font-size: 1.8rem;
    padding: 1rem 3rem;
    text-decoration: none; 
}

.btn:hover {
    background-color: var(--white);
    color: var(--black);
}



.btn:hover {
    background-color: var(--white);
    color: var(--black);
}

.count .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap: 1.5rem;
    align-items: flex-start;
}

.count .box-container .box {
    background-color: var(--light-bg);
    border-radius: .5rem;
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.count .box-container .box i {
    font-size: 5rem;
    color: var(--white);
    margin-right: 1rem;
}

.count .box-container .box {
    flex: 1; 
}

.count .box-container .box h3 {
    font-size: 2rem;
    color: var(--white);
    margin-bottom: .5rem;
}

.count .box-container .box p {
    font-size: 1.6rem;
    color: var(--light-white);
}
.about .row {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

.about .row .image img {
    width: 100%;
    height: auto; 
}

.about .row .content {
    flex-grow: 1;
}

.about .row .content h3 {
    font-size: 3rem;
    color: var(--light-bg);
}

.about .row .content p {
    padding: 1rem 0;
    line-height: 2;
    font-size: 1.6rem;
    color: var(--light-bg);
}

.about .row .content .btn {
    display: inline-block;
    border-radius: 5rem;
    background-color: var(--light-bg);
    cursor: pointer;
    color: var(--white);
    font-size: 1.8rem;
    padding: 1rem 3rem;
    text-decoration: none;
}

.about .row .content .btn:hover {
    background-color: var(--white);
    color: var(--black);
}


.contentss {
    text-align: center;
    font-size: 20px;
    line-height: 2.5rem;
    width: 700px;
    
}

.contentss p {
    padding-top: 16px;
    padding-bottom: 16px;
}

.courses .slide {
    width: 30rem;
    background-color:#848be7;
    border-radius: .5rem;
    text-align: center;
    margin-bottom: 4rem;
    padding: 2rem;
    user-select: none;
}

.courses .slide img {
    height: 25rem;
    width: 100%;
}
.courses .slide h3 {
    margin: 1.5rem 0;
    font-size: 2rem;
    color:var(--white);
}
.courses .slide p {
    line-height: 1.6rem;
    color: var(--white);
    font-size: 1.6rem;
}


.teachers .slide {
    position: relative;
    overflow: hidden;
    user-select: none;
}

.teachers .slide img {
    height: 55rem;
    width: 100%;
    object-fit: cover;
    border-radius: .5rem;
}

.teachers .slide h3 {
    margin-top: 1.5rem;
    font-size: 2rem;
    color: var(--light-bg);
    text-align: center;
}


.teachers .slide .share {
    position: absolute;
    top: 1rem; 
    left: -10rem;
}

.teachers .slide:hover .share {
    left: 2rem;
}

.teachers .slide .share a {
    display: block;
    margin-top: 1rem;
    height: 4.5rem;
    width: 4.5rem;
    line-height: 4.5rem;
    border-radius: .5rem;
    background-color: var(--white);
    color: var(--black);
    text-align: center;
    font-size: 2rem;
}


.teachers .slide .share a:hover {
    background-color: var(--green);
    color: var(--white);
}

.reviews-slider .slide {
    width: 40rem;
    border-radius: .5rem;
    background-color: var(--light-bg);
    padding: 2rem;
    margin-bottom: 4rem;
    user-select: none;
}

.reviews-slider .slide p {
    line-height: 2;
    font-size: 1.6rem;
    color: var(--white);
}
.reviews-slider .slide .user{
    display: flex;
    align-items: center;
    gap: 1.5rem;
    margin-top: 1.5rem;
}

.reviews-slider .slide img{
    height: 7rem;
    width: 7rem;
    border-radius: 50%;
    object-fit: cover;
}
.reviews-slider .slide .user h3 {
    font-size: 2rem;
    color: var(--white);
    margin-bottom: .7rem;
}
.reviews-slider .slide .stars i {
    font-size: 1.5rem;
    color: var(--green);
}


.contact .row {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}


.contact .row .image {
    flex: 1 1 40rem;
}
.contact .row .image img {
    width: 100%;
}

.contact .row form {
    flex: 1 1 40rem;
}

.contact .row form .box {
    width: 100%;
    margin-top: 1rem;
    margin-bottom: 2rem;
    border-radius: .5rem;
    background-color: var(--light-bg);
    font-size: 1.8rem;
    color: var(--white);
    padding: 1.4rem;
    text-decoration: none;
}

.contact .row form span {
    font-size: 1.6rem;
    color: var(--light-bg);
}
.contact .row form .radio {
    margin-top: 2rem;
    margin-bottom: 1rem;
}

.contact .row form .radio label {
    font-size: 1.6rem;
    color: var(--light-white);
    margin-left: .5rem;
    cursor: pointer;
}

.contact .row form .radio #female{
    margin-left: 2rem;
}


.contact .row form .radio input {
    appearance: none;
    height: 2rem;
    width: 2rem;
    background-color: var(--light-bg);
    cursor: pointer;
    border-radius: 5rem;
}

.contact .row form .box::placeholder {
    color: var(--white);}


.contact .row form .radio input:checked{
    background-color: var(--green);
    border-radius: 5rem;
}
.contact .row form .radio #female:checked ~ label[for="female"]{
    color: var(--green);
}
.contact .row form .radio #male:checked ~ label[for="male"]{
    color: var(--green);
}


.footer {
    background-color: var(--light-bg);
    text-align: center;
}

.footer .share {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
}

.footer .share a {
    margin: 0 .3rem;
    height: 4.5rem;
    width: 4.5rem;
    border-radius: 50%;
    font-size: 2rem;
    color: var(--white);
    padding-top: 12px;
}

.footer .share a:hover {
    background-color: var(--green);
}

.footer .credit {
    margin-top: 2.5rem;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    border-top: .1rem solid var(--light-white);
}













@media (max-width:991px) {
    html {
        font-size: 55%;
    }
}


@media (max-width:768px) {
    #menu-btn {
        display: inline-block;
    }
    
    .header .flex .navbar  {
        position: absolute;
        top: 99%; left: 0; right: 0;
        border-top: .1rem solid var(--light-white);
        border-bottom: .1rem solid var(--light-white);
        background-color: var(--light-bg);
        clip-path: polygon(0 0,100% 0, 100% 0, 0 0);
        
}
.header .flex .navbar a{
    display: block;
    margin: 2rem;
}
    
}

@media (max-width:450px) {
    html {
        font-size: 50%;
    }

    .heading {
        font-size: 3rem;
    }
}